ARCHIVE_WRITE_NEW(3) | Library Functions Manual | ARCHIVE_WRITE_NEW(3)

# NAME

archive_write_new — functions for creating archives

# LIBRARY

Streaming Archive Library (libarchive, -larchive)

# SYNOPSIS

#include <archive.h>
struct archive *
archive_write_new(void);

# DESCRIPTION

Allocates and initializes a struct archive object suitable for writing a tar archive. `NULL` is returned on error.
A complete description of the struct archive object can be found in the overview manual page for libarchive(3).

# SEE ALSO

tar(1), libarchive(3), archive_write(3), archive_write_set_options(3), cpio(5), mtree(5), tar(5)

February 2, 2012 | NetBSD 8.2